XSetICFocus(3)

NAME
XSetICFocus, XUnsetICFocus - set and unset input context focus

SYNTAX

void XSetICFocus(XIC ic);

void XUnsetICFocus(XIC ic);

ARGUMENTS

ic  Specifies the input context.

DESCRIPTION
The XSetICFocus function allows a client to notify an input method that the focus window attached to the specified input context has received keyboard focus. The input method should take action to provide appropriate feedback. Complete feedback specification is a matter of user interface policy.

Calling XSetICFocus does not affect the focus window value.

The XUnsetICFocus function allows a client to notify an input method that the specified input context has lost the keyboard focus and that no more input is expected on the focus window attached to that input context. The input method should take action to provide appropriate feedback. Complete feedback specification is a matter of user interface policy.

Calling XUnsetICFocus does not affect the focus window value; the client may still receive events from the input method that are directed to the focus window.

SEE ALSO
XCreateIC(3), XOpenIM(3), XSetICValues(3), XmbResetIC(3)
Xlib - C Language X Interface